Zastaralý software v distribucích

Tonda

  • *****
  • 557
    • Zobrazit profil
    • E-mail
Re:Zastaralý software v distribucích
« Odpověď #15 kdy: 27. 12. 2013, 16:20:13 »
qbittorrent PPA má, ale pro libtorrent nic na svém webu nezmiňují, možná dělám něco blbě, zatím si s tím hraju pár týdnů.


Pavel 'TIGER' Růžička

Re:Zastaralý software v distribucích
« Odpověď #16 kdy: 27. 12. 2013, 16:26:12 »
qbittorrent PPA má, ale pro libtorrent nic na svém webu nezmiňují, možná dělám něco blbě, zatím si s tím hraju pár týdnů.

Čistě teoreticky by nemělo aplikaci vadit, že má starší knihovnu. Ovšem pokud v aplikace prošla nějakýma zásadníma změnama, může to být problém.

Tonda

  • *****
  • 557
    • Zobrazit profil
    • E-mail
Re:Zastaralý software v distribucích
« Odpověď #17 kdy: 27. 12. 2013, 16:31:57 »
Tak já chápu, že ne vždy to jde, pokud nová verze vyžaduje novou verzi knihovny, tak nepojede, na WinXP už není .NET 4.0, tak mi tam nepojede nic, co potřebuje novější verzi. Tady je to spíš o tom, že v Linuxu je model instalace z repo konkrétního distra a distra jsou tak rozdílná, že pro spoustu z nich je potřeba extra balíček (a je taky asi jedna z příčin toho modelu) a pravidelně aktualizovat vše, co je v repo pro všechny podporované verze distra jsou prostě mraky práce, které nikdo nechce dělat, takže se v nějakou dobu vezme verze a dál se s tím nic nedělá, dokud tam není přímo chyba, krom profláknutých aplikací jako je Firefox.

Já sem prostě zvyklý z Windows u aplikací, které používám, zkrátka stahovat a instalovat aktuální verze aplikací přímo od jejich autora, být závislý na tom, zda mi správce Linuxové distribuce aplikaci zpřístupní a v jaké verzi mi je tak nějak proti srsti.

Tonda

  • *****
  • 557
    • Zobrazit profil
    • E-mail
Re:Zastaralý software v distribucích
« Odpověď #18 kdy: 27. 12. 2013, 16:46:31 »
No v případě klienta i té knihovny je aktuální verze o jednu major verzi dále, takže sem zkrátka chtěl aktuální verzi s aktuální funkčností. V Ubuntu 12.04 je qbittorrent 2.9.7, přitom i v rámci 2.9.x verze jsou další tři bugfix verze, jenže Ubuntu prostě vzalo do 12.04 verzi v Březnu 2012 a nazdar.

libtorrent-rasterbar podobně, v Ubuntu 12.04 je verze 15.10 z Února 2012, aktuální je 16.13.

OMG

Re:Zastaralý software v distribucích
« Odpověď #19 kdy: 27. 12. 2013, 17:04:29 »
na WinXP už není .NET 4.0

.NET 4.0 je podporováno na WinXP SP3 (a není podporováno na WinXP SP2)
.NET 4.5 není podporováno na žádných WinXP


Re:Zastaralý software v distribucích
« Odpověď #20 kdy: 27. 12. 2013, 17:21:14 »
Já sem prostě zvyklý z Windows u aplikací, které používám, zkrátka stahovat a instalovat aktuální verze aplikací přímo od jejich autora, být závislý na tom, zda mi správce Linuxové distribuce aplikaci zpřístupní a v jaké verzi mi je tak nějak proti srsti.
U Windows aplikací jste závislý na tom, kdy autor sestaví instalačku a zveřejní ji na webu. U Linuxových distribucí jste závislý na tom, kdy zveřejní balíček správce distribuce. Nebo si v obou případech můžete aplikaci sestavit sám. Není v tom rozdíl, v obou případech je pro vás aktuální ta verze, kterou vám jako aktuální dodává příslušný distribuční kanál. A že ta aktuální verze je jiná pro 32bitová Windows, jiná pro 64bitová, jiná pro tuhle distribuci a jiná pro tamtu, jiná pro sestavení ze zdrojáků? Pak je asi jediná pomoc, sledujte verze jen u toho svého distribučního kanálu, pak vás nemusí trápit, že jinde mají číslo verze jiné.

Pavel 'TIGER' Růžička

Re:Zastaralý software v distribucích
« Odpověď #21 kdy: 27. 12. 2013, 17:52:50 »
No co se týče Windows, tak ještě když měly 2000 podporu, tak vývojáři ukončili vývoj Paint.NET pro tento systém a nové verze už jsi na ně nedostal. Přechod .NET 2x na .NET 3x (podle toho se snad i značí Paint.NET). Abys tento program měl aktuální, stačilo vyměnit Windows za novější. Takže asi tak. Když se někdo rozhodne udělat nějakou změnu, neuděláš s tím nic. Pravdou je, že u Linuxu by to chtělo udělat nějakou změnu, co se balíčků týče. Mnohdy je situace dost nepřehledná. Nicméně už se o to pokoušeli, a nikterak moc se to neujalo.

Re:Zastaralý software v distribucích
« Odpověď #22 kdy: 28. 12. 2013, 05:19:23 »
Existuje nejaka desktop distribuce, ktera by si zakladala na tom, ze ma vzdy vse aktualni vcetne kernelu, grafickeho prostredi?

Co treba Linux From Scratch? ;)

http://www.linuxfromscratch.org/
http://cs.wikipedia.org/wiki/Linux_From_Scratch
"Kdo v zájmu bezpečí obětuje část své svobody, v konečném důsledku přijde o svobodu i svou bezpečnost."

Atrament

Re:Zastaralý software v distribucích
« Odpověď #23 kdy: 28. 12. 2013, 10:13:37 »
Vy co tu nadhazujete Linux From Scratch, podívali jste se někdy aspoň na okamžik o co vlastně jde? Nejenom, že to není 'distribuce', je to pouze kniha, návod jak si vybudovat vlastnímy silami systém, postavený na Linuxu a open source software, a hlavně - vůbec si nezakládá na tom 'mít vždy ten nejaktuálnější soft'. Má úplně jiné priority.

pedro

Re:Zastaralý software v distribucích
« Odpověď #24 kdy: 28. 12. 2013, 10:57:40 »
Špatně položená otázka, hon za nejposlednějším SW si můžeš ukojit na Archu, na Debianu Testing, na OpenSuse Factory, leckde, ale brzy zjistíš, že stabilita je v háji. Problém je spíš v tom, že distribuce si jaksi žijí na své vlastní planetě... Tak třeba aktuální verze kernelu s dlouhou podporou je 3.10.25, firefox ESR je ve verzi 24.2, gcc má stabilní a podporovanou verzi 4.7.3, u KDE zřejmě 4.11.4 atd. Kdo tyto aktuální a současně podle mínění vývojářů v upstreamu stabilní verze nabízí? Aha, nikdo. Místo toho člověk může +/- dostat různě staré snapshoty posledních verzí v době freeze té naší distribuce, stáří snapshotu závisí na délce release cyklu. Trochu zvláštní politika, sám tomu nerozumím.

karel

Re:Zastaralý software v distribucích
« Odpověď #25 kdy: 28. 12. 2013, 11:05:07 »
U windows stejně jako v linuxu nemáš nejnovější verze všeho. Když si naistaluju debian stable + backports, tak mám skoro nejnovější kernel, nejnovější firefox, office, kodeky a další běžné desktopové věci. Naopak zastaralý je C runtime (stejně jako na windows spousta aplikací je stále dělaná pro zastaralý .net nebo visual studio runtime) nebo grafické prostředí (na windows je také pořád jedno a to samé a nemění se). Nevidím v tom rozdíl, jediné co by teoreticky mohlo vadit je špatný pocit z toho, že jseš u office o jednu minor verzi zpět (kdo z vás z hlavy zná verzi office na vašem počítači a koho to trápí?). Všechny tyhle drobné problémy máš vykoupené vyšší stabilitou a prakticky nulovým časem za údržbu. Jestli si chceš všechno řešit sám, tak si zůstaň na windows nebo si dej arch  apod.

k77

Re:Zastaralý software v distribucích
« Odpověď #26 kdy: 28. 12. 2013, 11:30:36 »
Špatně položená otázka, hon za nejposlednějším SW si můžeš ukojit na Archu, na Debianu Testing, na OpenSuse Factory, leckde, ale brzy zjistíš, že stabilita je v háji. Problém je spíš v tom, že distribuce si jaksi žijí na své vlastní planetě... Tak třeba aktuální verze kernelu s dlouhou podporou je 3.10.25, firefox ESR je ve verzi 24.2, gcc má stabilní a podporovanou verzi 4.7.3, u KDE zřejmě 4.11.4 atd. Kdo tyto aktuální a současně podle mínění vývojářů v upstreamu stabilní verze nabízí? Aha, nikdo. Místo toho člověk může +/- dostat různě staré snapshoty posledních verzí v době freeze té naší distribuce, stáří snapshotu závisí na délce release cyklu. Trochu zvláštní politika, sám tomu nerozumím.

s tou stabilitou v haji to mas odkial? pouzivam arch na 4 strojoch uz asi 6 rokov, za ten cas som mal na jednom stroji problem s upgrade, ktory som nedokazal vyriesit a asi 2x problemy na strojoch s nvidia gpu po upgrade kernelu/driverov.. mimo to slapu ako hodinky..

pedro

Re:Zastaralý software v distribucích
« Odpověď #27 kdy: 28. 12. 2013, 11:42:40 »
Špatně položená otázka, hon za nejposlednějším SW si můžeš ukojit na Archu, na Debianu Testing, na OpenSuse Factory, leckde, ale brzy zjistíš, že stabilita je v háji. Problém je spíš v tom, že distribuce si jaksi žijí na své vlastní planetě... Tak třeba aktuální verze kernelu s dlouhou podporou je 3.10.25, firefox ESR je ve verzi 24.2, gcc má stabilní a podporovanou verzi 4.7.3, u KDE zřejmě 4.11.4 atd. Kdo tyto aktuální a současně podle mínění vývojářů v upstreamu stabilní verze nabízí? Aha, nikdo. Místo toho člověk může +/- dostat různě staré snapshoty posledních verzí v době freeze té naší distribuce, stáří snapshotu závisí na délce release cyklu. Trochu zvláštní politika, sám tomu nerozumím.

s tou stabilitou v haji to mas odkial? pouzivam arch na 4 strojoch uz asi 6 rokov, za ten cas som mal na jednom stroji problem s upgrade, ktory som nedokazal vyriesit a asi 2x problemy na strojoch s nvidia gpu po upgrade kernelu/driverov.. mimo to slapu ako hodinky..

Jestlize upstream vypusti nejakou knihovnu ve verzi neco.0 a v te knihovne je bug, tak distribuce (treba Debian Unstable nebo Debian Testing), ktere tuto knihovnu pusti do repozitaru, vystavi sve uzivatele problemum z toho plynoucim. Ten problem muze byt ruzne velky a muze mit ruzne dopady na uzivatele. Pro me stability neznamena jenom nenabootoval jsem. No flame.

Tonda

  • *****
  • 557
    • Zobrazit profil
    • E-mail
Re:Zastaralý software v distribucích
« Odpověď #28 kdy: 28. 12. 2013, 12:03:27 »
na WinXP už není .NET 4.0

.NET 4.0 je podporováno na WinXP SP3 (a není podporováno na WinXP SP2)
.NET 4.5 není podporováno na žádných WinXP
Ano přepsal jsem se, chtěl sem napsat 4.5, sám sem na XP .NET 4.0 používal.

Tonda

  • *****
  • 557
    • Zobrazit profil
    • E-mail
Re:Zastaralý software v distribucích
« Odpověď #29 kdy: 28. 12. 2013, 12:11:12 »
U Windows aplikací jste závislý na tom, kdy autor sestaví instalačku a zveřejní ji na webu. U Linuxových distribucí jste závislý na tom, kdy zveřejní balíček správce distribuce. Nebo si v obou případech můžete aplikaci sestavit sám.
Jenže jak můj příklad ukazuje, autor tu aplikaci sestaví, protože je to jeho aplikace a má na tom zájem, zatímco správce distribuce se na to zhusta vykvajzne. Sám to překládat nechci.